Categories:
  - System
License: GPL-3.0-only
AuthorName: Imran
AuthorWebSite: https://imranr.dev/
SourceCode: https://github.com/ImranR98/Obtainium
IssueTracker: https://github.com/ImranR98/Obtainium/issues
Changelog: https://github.com/ImranR98/Obtainium/releases

AutoName: Obtainium

RepoType: git
Repo: https://github.com/ImranR98/Obtainium.git

Builds:
  - versionName: 1.0.1
    versionCode: 2511
    commit: badf32ff11716ec8c1e2d51289740f9b404766c0
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.1
    versionCode: 2512
    commit: badf32ff11716ec8c1e2d51289740f9b404766c0
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.1
    versionCode: 2513
    commit: badf32ff11716ec8c1e2d51289740f9b404766c0
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.2
    versionCode: 2521
    commit: 188d33199e5a0304548c996d2edf8a827850820f
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.2
    versionCode: 2522
    commit: 188d33199e5a0304548c996d2edf8a827850820f
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.2
    versionCode: 2523
    commit: 188d33199e5a0304548c996d2edf8a827850820f
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.3
    versionCode: 22531
    commit: a5b3b9d1d0484051515fffe85a49bbd935b14d4e
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.3
    versionCode: 22532
    commit: a5b3b9d1d0484051515fffe85a49bbd935b14d4e
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.3
    versionCode: 22533
    commit: a5b3b9d1d0484051515fffe85a49bbd935b14d4e
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.4
    versionCode: 22541
    commit: 59cc08f28a199166bab19150eb1d0a9d6742e578
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.4
    versionCode: 22542
    commit: 59cc08f28a199166bab19150eb1d0a9d6742e578
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.4
    versionCode: 22543
    commit: 59cc08f28a199166bab19150eb1d0a9d6742e578
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.5
    versionCode: 22551
    commit: 9dae24ace639da71697c5150f1de859d0ea1e678
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.5
    versionCode: 22552
    commit: 9dae24ace639da71697c5150f1de859d0ea1e678
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.5
    versionCode: 22553
    commit: 9dae24ace639da71697c5150f1de859d0ea1e678
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64 gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.6
    versionCode: 22561
    commit: 381758550c2374934395f9fc793a8e8e1e4d1920
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 .flutter/bin/flutter build apk
        --release --split-per-abi --target-platform="android-x64" --flavor fdroid
        -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.6
    versionCode: 22562
    commit: 381758550c2374934395f9fc793a8e8e1e4d1920
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 .flutter/bin/flutter build apk
        --release --split-per-abi --target-platform="android-arm" --flavor fdroid
        -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.0.6
    versionCode: 22563
    commit: 381758550c2374934395f9fc793a8e8e1e4d1920
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 .flutter/bin/flutter build apk
        --release --split-per-abi --target-platform="android-arm64" --flavor fdroid
        -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.0
    versionCode: 22571
    commit: f3d2dfe3860ac20484316616250c18b721285405
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.0
    versionCode: 22572
    commit: f3d2dfe3860ac20484316616250c18b721285405
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.0
    versionCode: 22573
    commit: f3d2dfe3860ac20484316616250c18b721285405
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.1
    versionCode: 22581
    commit: 1c81f0c1e1484788f09b63805eb0c53b44977a54
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.1
    versionCode: 22582
    commit: 1c81f0c1e1484788f09b63805eb0c53b44977a54
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.1
    versionCode: 22583
    commit: 1c81f0c1e1484788f09b63805eb0c53b44977a54
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.2
    versionCode: 22591
    commit: b1ee39be3b3a2ff9afca91261ce9fd6a2b634f80
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.2
    versionCode: 22592
    commit: b1ee39be3b3a2ff9afca91261ce9fd6a2b634f80
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.2
    versionCode: 22593
    commit: b1ee39be3b3a2ff9afca91261ce9fd6a2b634f80
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.3
    versionCode: 22601
    commit: d1a2831922540ea0695a22dab3c3dddde5c1630b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.3
    versionCode: 22602
    commit: d1a2831922540ea0695a22dab3c3dddde5c1630b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.3
    versionCode: 22603
    commit: d1a2831922540ea0695a22dab3c3dddde5c1630b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.4
    versionCode: 22611
    commit: 8c2a97e0920f15e1d078f5a6621c6cbc8e336b6b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.4
    versionCode: 22612
    commit: 8c2a97e0920f15e1d078f5a6621c6cbc8e336b6b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.4
    versionCode: 22613
    commit: 8c2a97e0920f15e1d078f5a6621c6cbc8e336b6b
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.5
    versionCode: 22621
    commit: 0c80d885835c996269110e95d780cc40ef080e11
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.5
    versionCode: 22622
    commit: 0c80d885835c996269110e95d780cc40ef080e11
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.5
    versionCode: 22623
    commit: 0c80d885835c996269110e95d780cc40ef080e11
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.6
    versionCode: 22631
    commit: d33ca0948f3fb0179ee042dd2497fd6dce99b2bf
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.6
    versionCode: 22632
    commit: d33ca0948f3fb0179ee042dd2497fd6dce99b2bf
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.6
    versionCode: 22633
    commit: d33ca0948f3fb0179ee042dd2497fd6dce99b2bf
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.7
    versionCode: 22641
    commit: 84df499ea6034b517c39b15c2cd166a335c4b629
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.7
    versionCode: 22642
    commit: 84df499ea6034b517c39b15c2cd166a335c4b629
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.7
    versionCode: 22643
    commit: 84df499ea6034b517c39b15c2cd166a335c4b629
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.8
    versionCode: 22651
    commit: dbcb4b3c09a13d404c688cd7f1a19c8032ee9616
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.8
    versionCode: 22652
    commit: dbcb4b3c09a13d404c688cd7f1a19c8032ee9616
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.8
    versionCode: 22653
    commit: dbcb4b3c09a13d404c688cd7f1a19c8032ee9616
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.9
    versionCode: 22661
    commit: 1e3815ca20227c85f65ca92f3bfd6b0951620583
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-x86_64-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-x86_64-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.9
    versionCode: 22662
    commit: 1e3815ca20227c85f65ca92f3bfd6b0951620583
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-armeabi-v7a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

  - versionName: 1.1.9
    versionCode: 22663
    commit: 1e3815ca20227c85f65ca92f3bfd6b0951620583
    submodules: true
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    binary: https://github.com/ImranR98/Obtainium/releases/download/v%v/app-arm64-v8a-fdroid-release.apk
    srclibs:
      - transistor-background-fetch@0dd1457588ba031f11e9452f125144aac8a9b75f
    prebuild:
      - export repo=/home/runner/work/Obtainium
      - mkdir -p $repo
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - sed -i -e '/maven {/,/^        }/cmavenLocal()' android/build.gradle .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/Obtainium
      - cd ..
      - mv dev.imranr.obtainium.fdroid $repo/Obtainium
      - pushd $repo/Obtainium
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
        --flavor fdroid -t lib/main_fdroid.dart
      - popd
      - mv $repo/Obtainium dev.imranr.obtainium.fdroid

AllowedAPKSigningKeys: b353601f6a1d5fd6603ae2f50be80cf301367b86b6ab8b1f66243da96cd57362

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.1.9
CurrentVersionCode: 22663
